Subject: Re: [RFC PATCH] net: phy: integrate reset-after-clock quirk into phy_init_hw

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 29 Jan 2026 10:55:23 +0000

On Thu, Jan 29, 2026 at 11:41:23AM +0100, Marco Felsch wrote:
> As said, I don't see a problem with the LAN8710. But while checking the
> Linux source code, I saw commit
> 57ec5a8735dc5dccd1ee68afdb1114956a3fce0d which re-introduced the reset
> handling :-/

So now we get to the bottom of it. This is a regression, right? The
addition of that patch has caused previously working boards to stop
working, correct?

That means it needs to be reverted.

We also need to get out of our heads the idea that LAN8710A is somehow
special in needing this. It isn't. Thus, there should be no special
flags to "work around" this "problem".

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!